## gdm3 3.38.2.1

=== meson_options.txt ===
option('at-spi-registryd-dir', type: 'string', value: '', description: 'Specify the directory of at-spi-registryd.')
option('check-accelerated-dir', type: 'string', value: '', description: 'Specify the directory of gnome-session-check-accelerated.')
option('custom-conf', type: 'string', value: '', description: 'Filename to give to custom configuration file.')
option('dbus-sys', type: 'string', value: '', description: 'Where D-Bus systemd directory is.')
option('default-pam-config', type: 'combo', choices: [ 'autodetect', 'redhat', 'openembedded', 'exherbo', 'lfs', 'arch', 'none'], value: 'autodetect', description: '')
option('default-path', type: 'string', value: '/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin', description: 'Path GDM will use as the user\'s default PATH.')
option('defaults-conf', type: 'string', value: '', description: 'Filename to give to defaults file.')
option('dmconfdir', type: 'string', value: '', description: 'Directory where sessions are stored.')
option('gdm-xsession', type: 'boolean', value: false, description: 'Enable installing the gdm Xsession file.')
option('gnome-settings-daemon-dir', type: 'string', value: '', description: 'Specify the directory of gnome-settings-daemon used by the chooser.')
option('group', type: 'string', value: 'gdm', description: 'GDM\'s group.')
option('initial-vt', type: 'integer', value: 1, description: 'Initial virtual terminal to use.')
option('ipv6', type: 'boolean', value: false, description: 'Enables compilation of IPv6 code.')
option('lang-file', type: 'string', value: '', description: 'File containing default language settings.')
option('libaudit', type: 'feature', value: 'auto', description: 'Add Linux audit support.')
option('log-dir', type: 'string', value: '/var/log/gdm', description: 'Log directory.')
option('pam-mod-dir', type: 'string', value: '', description: 'Directory to install PAM modules in.')
option('pam-prefix', type: 'string', value: '', description: 'Specify where PAM files go.')
option('pid-file', type: 'string', value: '', description: 'Pid file.')
option('plymouth', type: 'feature', value: 'auto', description: 'Add plymouth support.')
option('profiling', type: 'boolean', value: false, description: 'Enable profiling.')
option('ran-once-marker-dir', type: 'string', value: '', description: 'Ran once marker directory.')
option('run-dir', type: 'string', value: '', description: 'Runtime directory.')
option('runtime-conf', type: 'string', value: '', description: 'Filename to give to runtime configuration file.')
option('screenshot-dir', type: 'string', value: '', description: 'Directory to store greeter screenshot.')
option('selinux', type: 'feature', value: 'auto', description: 'Add SELinux support.')
option('solaris', type: 'boolean', value: false, description: 'Build for Solaris')
option('split-authentication', type: 'boolean', value: true, description: 'Enable multiple simultaneous PAM conversations during login.')
option('sysconfsubdir', type: 'string', value: 'gdm', description: 'Directory name used under sysconfdir.')
option('systemd-journal', type: 'boolean', value: true, description: 'Use journald support.')
option('systemdsystemunitdir', type: 'string', value: '', description: 'Directory for systemd service files.')
option('systemduserunitdir', type: 'string', value: '', description: 'Directory for systemd user service files.')
option('tcp-wrappers', type: 'boolean', value: false, description: 'Use TCP wrappers.')
option('udev-dir', type: 'string', value: '', description: 'Directory for udev rules file.')
option('user', type: 'string', value: 'gdm', description: 'GDM\'s username.')
option('user-display-server', type: 'boolean', value: true, description: 'Enable running X server as user.')
option('wayland-support', type: 'boolean', value: true, description: 'Enable support for wayland sessions.')
option('working-dir', type: 'string', value: '', description: 'Working directory.')
option('xauth-dir', type: 'string', value: '', description: 'XAuth cookie directory.')
option('xdmcp', type: 'feature', value: 'auto', description: 'Add XDMCP (remote login) support.')
