## gdm3 2.30.5

=== debian/changelog ===
gdm3 (2.30.5-6squeeze5) oldstable; urgency=low

  * Handle partial upgrades to wheezy, where a glib version that relies 
    on x-scheme-* for URL handlers gets installed. In this case, using 
    the defaults in /usr/share/applications leads to a security 
    vulnerability where anyone can launch an URI handler from the 
    greeter session.
    + 38_greeter_datadir.patch: modified patch from version 3.0. Add 
      XDG_DATA_DIRS to the greeter session.
    + debian/applications/{mime-dummy-handler.desktop,mimeapps.list}: 
      copied from version 3.4. The former is a dummy handler for URIs, 
      the latter associates it with every known URI scheme.
    + gdm3.install: install these in /usr/share/gdm/greeter/applications

 -- Josselin Mouette <joss@debian.org>  Thu, 23 May 2013 21:26:20 +0200

gdm3 (2.30.5-6squeeze4) stable; urgency=low

  * 35_double_free.patch: stolen from 2.30.7. Fix a double free issue in 
    the chooser code.
  * 36_windowpath.patch: stolen from 2.30.7. Only set the WINDOWPATH 
    variable if not null.
  * 37_shutdown_buttons.patch: stolen from upstream git. Only show 
    shutdown options when requested. Closes: #628032.
  * 14_pam_dialog.patch: remove the beep, since it happens after the 
    session has been reaped and can lock the sound device.

 -- Josselin Mouette <joss@debian.org>  Thu, 18 Aug 2011 18:21:15 +0200

gdm3 (2.30.5-6squeeze3) stable; urgency=low

  * 33_reset_signal_handler.patch: stolen upstream. Reset SIGPIPE 
    handler before starting the session.
  * 34_postsession_shutdown.patch: stolen upstream. Execute the 
    PostSession script even when GDM is killed or shut down.

 -- Josselin Mouette <joss@debian.org>  Wed, 20 Apr 2011 21:31:33 +0200

gdm3 (2.30.5-6squeeze2) stable-security; urgency=medium

  * Apply patch from Ray Strode <rstrode@redhat.com> to address
    CVE-2011-0727

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 26 Mar 2011 21:06:15 +0100

gdm3 (2.30.5-6squeeze1) stable; urgency=low

  [ Josselin Mouette ]
  * gdm3.init: chown the configuration to Debian-gdm, to avoid umask 
    issues. Closes: #603510.
  * gdm3.postrm: handle deluser/delgroup failures gracefully.
    Closes: #603753.
  * 29_grep_path.patch: new patch. Don’t hardcode grep to a wrong 
    location. Closes: #607664.
  * 30_utf8_locale.patch: new patch. Pass locale.UTF-8 instead of 
    locale.utf8. Closes: #607753.

  [ Emilio Pozuelo Monfort ]
  * debian/gdm3.8.pod:
    + Fix typo, thanks Yury V. Zaytsev. Closes: #610723.

 -- Josselin Mouette <joss@debian.org>  Sat, 19 Feb 2011 13:22:35 +0100

gdm3 (2.30.5-6) unstable; urgency=low

  * 11_xephyr_nested.patch: don’t switch VTs from nested displays. It’s 
    confusing and prevents using them to start sessions for existing 
    users.
  * greeter.gconf-defaults: don’t specify the background, it is now set 
    by desktop-base.
  * Recommend desktop-base >= 6 to obtain this background.
  * Remove moreblue-orbit picture.

 -- Josselin Mouette <joss@debian.org>  Mon, 15 Nov 2010 20:52:24 +0100

gdm3 (2.30.5-5) unstable; urgency=low

  * 27_orca_braille.patch: patch from Samuel Thibault to enable braille 
    support in orca. Closes: #600472.
  * 20_endsession_respawn.patch:
    + Correctly reinitialize the variable that tells a display must 
      respawn. It badly broke when trying to use an already used 
      display to switch to another one. Closes: #600706.
    + Also prevent respawning for static displays, otherwise the same 
      problem will also happen on :0. The only remaining difference 
      remaining between static and transient displays is autologin 
      handling.
    + Don’t restart the static display when it exits, that would make 
      the previous change moot.
  * Get the greeter to play a beep when it is ready. Thanks Samuel 
    Thibault for all the testing. Closes: #598132.
    + 28_beep.patch: new patch. Emit a gdk_beep when appropriate.
    + greeter.gconf-defaults: enable event sounds, so that the beep is 
      played.
  * README.Debian:
    + Explain the configuration system more thoroughly. Closes: #601479.
    + Split the debconf translations part in README.source.

 -- Josselin Mouette <joss@debian.org>  Sun, 07 Nov 2010 00:32:11 +0100

gdm3 (2.30.5-4) unstable; urgency=low

  * 21_schemas_usr.patch: add some comments in the daemon.conf file to 
    explain the available options. Thanks Joey Hess. Closes: #598666.
  * gdm3.init: drop hal and acpid. Closes: #599015.
  * Pass --enable-debug with DEB_BUILD_OPTIONS=debug.
  * 20_endsession_respawn.patch: fix typo introduced in 2.30.5-2 that 
    turns the feature completely off.
  * 18_switch_kill_greeter.patch: ensure that the slave process dies 
    too. Avoids leaking gdm-simple-slave processes around.
  * 24_show_user_other.patch: dropped. It is not necessary anymore, the 
    case without any user is handled correctly now. Furthermore it was 
    causing the infamous focus bug. Closes: #596359.
  * 11_xephyr_nested.patch: fix implicit pointer conversion. Thanks Dann 
    Frazier for the report. Closes: #599104.

 -- Josselin Mouette <joss@debian.org>  Wed, 06 Oct 2010 00:10:48 +0200

gdm3 (2.30.5-3) unstable; urgency=low

  [ Josselin Mouette ]
  * pt_BR.po: new Brazilian Portuguese translation by Sérgio Cipolla.
    Closes: #597669.
  * 26_username_escape.patch: stolen in upstream git (2.30 branch). Fix 
    escaping in the user list.

  [ Luca Bruno ]
  * 13_gdmsetup.patch: refresh and fix user-manager loading according
    to upstream changes. Closes: #598034.

 -- Josselin Mouette <joss@debian.org>  Sat, 02 Oct 2010 18:41:24 +0200

gdm3 (2.30.5-2) unstable; urgency=low

  * 03_ipv6.patch: new patch from Julien Cristau, thanks a lot for 
    investigating! Fix an allocation error that leads to passing garbage 
    as addresses.
    Add to that a stripping of ::ffff: from IPv4 mapped addresses, since 
    this is not understood in $DISPLAY.
    Closes: #579033.

