=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gdm3
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Josselin Mouette <joss@debian.org>
Build-Depends: gnome-pkg-tools (>= 0.16.3),
               debhelper (>= 5),
               cdbs,
               intltool (>= 0.40.0),
               gnome-doc-utils,
               libdbus-glib-1-dev (>= 0.74),
               libglib2.0-dev (>= 2.22.0),
               libgtk2.0-dev (>= 2.12.0),
               libpango1.0-dev (>= 1.3.0),
               libgconf2-dev (>= 2.6.1),
               libpanel-applet2-dev (>= 2.0.0),
               libxklavier-dev (>= 4.0),
               libcanberra-gtk-dev (>= 0.4),
               libfontconfig1-dev (>= 2.5.0),
               libupower-glib-dev (>= 0.9.0),
               libpolkit-gobject-1-dev (>= 0.92),
               libpolkit-gtk-1-dev (>= 0.92),
               libx11-dev,
               libxau-dev,
               libxt-dev,
               libxext-dev,
               check (>= 0.9.4),
               libpam0g-dev,
               libxdmcp-dev,
               libwrap0-dev,
               libxft-dev,
               libxi-dev,
               libxinerama-dev,
               libselinux1-dev [linux-any],
               libattr1-dev [linux-any],
               iso-codes,
               libaudit-dev [linux-any],
               docbook-xml
Standards-Version: 3.9.0
Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/gdm3/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gdm3/

Package: gdm3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         libpam-modules (>= 0.72-1),
         libpam-runtime (>= 0.76-13.1),
         gnome-session-bin (>= 2.30),
         policykit-1-gnome,
         upower,
         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
         lsb-base (>= 3.2-14),
         librsvg2-common,
         gconf2 (>= 2.26.2-3)
Recommends: zenity,
            xserver-xephyr | xnest,
            x11-xkb-utils,
            xserver-xorg,
            at-spi,
            gnome-power-manager (>= 2.28),
            gnome-settings-daemon,
            gnome-icon-theme,
            desktop-base (>= 6)
Suggests: libpam-gnome-keyring,
          metacity,
          gnome-mag,
          gnome-orca,
          gok
Provides: x-display-manager,
          fast-user-switch-applet
Conflicts: fast-user-switch-applet,
           gdm
Replaces: fast-user-switch-applet
Breaks: gnome-session (<< 2.26),
        gnome-panel (<< 2.26),
        gnome-screensaver (<< 2.17.7),
        gnome-orca (<< 2.30.0-2)
Description: Next generation GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it 
 asks for a login and starts X sessions.
 .
 It provides all the functionality of XDM, including XDMCP support for
 managing remote displays, and extends it with the ability to start X 
 servers on demand.
 .
 The greeter is written using the GNOME libraries and hence looks like a 
 GNOME application - even to the extent of supporting themes! 
 .
 This package contains the next generation GDM, which was developed 
 using the technologies on which GNOME 3 is based.
