=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/gdm/([\d\.]+)[02468]/gdm-([\d\.]+)\.tar\.gz debian uupdate
