=== debian/control ===
--- 
+++ 
@@ -7,26 +7,28 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>
+Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: gnome-pkg-tools (>= 0.16.3),
-               debhelper (>= 5),
+               debhelper (>= 8),
                cdbs,
+               dh-autoreconf,
                intltool (>= 0.40.0),
                gnome-doc-utils,
                libdbus-glib-1-dev (>= 0.74),
-               libglib2.0-dev (>= 2.22.0),
-               libgtk2.0-dev (>= 2.12.0),
+               libglib2.0-dev (>= 2.27.4),
+               libgtk-3-dev (>= 2.91.1),
                libpango1.0-dev (>= 1.3.0),
-               libgconf2-dev (>= 2.6.1),
-               libpanel-applet2-dev (>= 2.0.0),
+               libgconf2-dev (>= 2.31.3),
                libxklavier-dev (>= 4.0),
-               libcanberra-gtk-dev (>= 0.4),
+               libcanberra-gtk3-dev (>= 0.4),
                libfontconfig1-dev (>= 2.5.0),
                libupower-glib-dev (>= 0.9.0),
-               libpolkit-gobject-1-dev (>= 0.92),
-               libpolkit-gtk-1-dev (>= 0.92),
+               libaccountsservice-dev (>= 0.6.12),
+               gnome-settings-daemon-dev (>= 2.91.2),
+               gnome-settings-daemon (>= 2.91.2),
                libx11-dev,
                libxau-dev,
+               libxrandr-dev,
                libxt-dev,
                libxext-dev,
                check (>= 0.9.4),
@@ -40,8 +42,9 @@
                libattr1-dev [linux-any],
                iso-codes,
                libaudit-dev [linux-any],
-               docbook-xml
-Standards-Version: 3.9.0
+               docbook-xml,
+               gsettings-desktop-schemas
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/gdm3/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gdm3/
 
@@ -52,15 +55,19 @@
          adduser,
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
-         gnome-session-bin (>= 2.30),
+         gnome-session-bin (>= 3.0),
          policykit-1-gnome,
          upower,
          gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          lsb-base (>= 3.2-14),
          librsvg2-common,
-         gconf2 (>= 2.26.2-3)
+         gconf2 (>= 2.26.2-3),
+         accountsservice (>= 0.6.12),
+         gsettings-desktop-schemas,
+         libglib2.0-bin (>= 2.26),
+         dconf-gsettings-backend
 Recommends: zenity,
-            xserver-xephyr | xnest,
+            xserver-xephyr,
             x11-xkb-utils,
             xserver-xorg,
             at-spi,
@@ -73,15 +80,12 @@
           gnome-mag,
           gnome-orca,
           gok
-Provides: x-display-manager,
-          fast-user-switch-applet
-Conflicts: fast-user-switch-applet,
-           gdm
-Replaces: fast-user-switch-applet
-Breaks: gnome-session (<< 2.26),
-        gnome-panel (<< 2.26),
+Provides: x-display-manager
+Conflicts: gdm
+Breaks: gnome-panel (<< 3.0),
         gnome-screensaver (<< 2.17.7),
-        gnome-orca (<< 2.30.0-2)
+        gnome-orca (<< 2.30.0-2),
+        gnome-control-center (<< 3.0)
 Description: Next generation GNOME Display Manager
  GDM provides the equivalent of a "login:" prompt for X displays: it 
  asks for a login and starts X sessions.
