=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/gdm/([\d\.]+[02468])/gdm-([\d\.]+)\.tar\.xz
