## gdm3 3.4.1

=== debian/changelog ===
gdm3 (3.4.1-8) unstable; urgency=low

  * debian/orca-autostart.desktop:
    + Pass --no-setup to orca to avoid displaying the preferences
      window on the first run.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 17 Apr 2013 12:14:44 +0200

gdm3 (3.4.1-7) unstable; urgency=low

  * debian/patches/40_add_start_dir.patch:
    + Call gnome-session with --start /usr/share/gdm/greeter/autostart.
      .desktop files in that directory will be autostarted (if the
      condition to do so is true) in the gdm session.
  * debian/control.in:
    + Bump gnome-session-bin dependency to 3.4.2.1-4~ for the above
      change.
  * debian/orca-autostart.desktop,
    debian/gdm3.install:
    + Install a desktop file to autostart orca if the screen reader
      is enabled in gsettings.
  * debian/patches/45_show_a11y_menu.patch:
    + Add an a11y menu in the panel to enable/disable orca.
  * debian/po/*:
    + Add 45_show_a11y_menu.patch to the list of patches to be
      translated and add translations for many languages taken
      from gnome-shell.
  * All of the above closes: #689559.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 10 Apr 2013 14:36:52 +0200

gdm3 (3.4.1-6) unstable; urgency=low

  * 24_move_failure_detection.patch: new patch. Detect when a display is 
    in FAILED state at finish() time, not unmanage(). This makes the 
    logic for restarting displays upon failure correct. Closes: #681830.
    Thanks a lot to Sébastien Villemot for his spot-on analysis of the 
    bug’s cause.

 -- Josselin Mouette <joss@debian.org>  Sun, 10 Feb 2013 17:46:18 +0100

gdm3 (3.4.1-5) unstable; urgency=low

  * gdm3.prerm: do not stop gdm3 if $DISPLAY is between :0 and :9 which 
    generally mean local displays. Displays > 10 will most of the time 
    mean SSH.
  * greeter.gsettings: no workspaces in the login session.
    Closes: #686584.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Nov 2012 14:08:42 +0100

gdm3 (3.4.1-4) unstable; urgency=low

  * Team upload
  * Apply patch from Paul Wise to avoid userdel error messages
    from being used as input for debconf if gdm3 is purged while
    processes are still running as Debian-gdm (Closes: #657751)

 -- Simon McVittie <smcv@debian.org>  Thu, 25 Oct 2012 21:31:25 +0100

gdm3 (3.4.1-3) unstable; urgency=low

  * Drop suggests on gnome-mag.
  * Recommends: at-spi → at-spi2-core. Closes: #680947.
  * Recommend gnome-icon-theme-symbolic. Closes: #683348.
  * Generate templates from PO files. Closes: #686037.
  * Update po files from the xdm source.
  * Remove obsolete README.source.
  * Grab some patches upstream:
    + 30_dbus_prctl_death.patch: ensure dbus dies with the session.
    + 31_worker_session_gone.patch: avoid race condition when the 
      session dies.
    + 32_ignore_greeter_crash.patch: ignore when the greeter crashes 
      while no longer needed.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2012 14:01:46 +0200

gdm3 (3.4.1-2) unstable; urgency=low

  * Fix typo in dconf-tools dependency version. Closes: #678961.
  * Use --no-create-home and --quiet for addgroup/adduser calls.
    Closes: #675809.
  * 05_debug_xserver_core.patch: patch from upstream git. Make the X 
    server dump core when debugging is enabled. Closes: #651693.
  * 06_first_vt.patch, 20_switch_kill_greeter.patch: refreshed.
  * 90_config_comments.patch: more comments with useful options.
  * Add references to patches.
  * 02_xnest_wrapper.patch: disabled.
  * 04_reload_config.patch: patch from upstream git. Get SIGHUP to 
    actually reload the configuration.
  * gdm3.init: send SIGHUP to get reload to work.

 -- Josselin Mouette <joss@debian.org>  Mon, 25 Jun 2012 20:18:38 +0200

gdm3 (3.4.1-1) unstable; urgency=low

  [ Jordi Mallach ]
  * Update po-up/ca.po.

  [ Josselin Mouette ]
  * gdm3.init: remove .ICEauthority before starting. Closes: #648666.
  * x11-common will now include xhost code to give access to the 
    local user if xhost is installed (see #586685).
    + Depend on the appropriate x11-common version.
    + Depend on x11-xserver-utils so that it actually works.
  * New upstream release.
  * Updated build-dependencies: nss, glib.
  * 01_language.patch: dropped, merged upstream.
  * 04_no_fatal_criticals.patch: dropped, obsolete.
  * 07_libexec-paths.patch: removed unused variables/files.
  * 08_frequent-users_greeter.patch: reworked according to upstream 
    changes.
  * 10_gdm3_pam.patch: updated for the new version. Do not prefix the 
    PAM files for multistack, they have new names anyway.
  * 14_pam_dialog.patch: dropped, upstream merged an improved version.
  * 18_parametrize_create_display.patch: updated for the new version.
  * 19_static_transient_display.patch: unfuzzed.
  * 29_grep_path.patch: dropped, merged upstream.
  * 91_dconf_override.patch: dropped, the configuration generation has 
    completely changed.
  * 93_xdg_data_dirs.patch: dropped, similar functionality merged 
    upstream.
  * Drop the dconf-gsettings-backend dependency.
  * greeter.gconf-defaults:
    + Drop the g-p-m setting.
  * greeter.gsettings:
    + Force gdm-fallback as the default session.
    + Document how to use gdm-shell.
    + Document how to change the background. Closes: #655328.
  * rules:
    + Generate xx_upstream.gschema.override from the new 
      00-upstream-settings file (much simpler).
    + Remove /etc/dconf from the installed files.
    + Drop all development libraries/headers.
    + Explicitly disable introspection.
    + (All of this can be shipped in separate packages if actual 
      packages start using this library.)
    + Explicitly disable split authentication, it will not work properly 
      with the Debianized PAM stack.
    + Remove the associated PAM files.
    + Disable dh_makeshlibs.
    + Install the dconf stuff in /usr/share/gdm.
  * gdm3.postinst:
    + Remove the old gsettings file upon upgrade.
  * gdm3.links:
    + Remove the old gsettings link.
  * gdm3.init:

