=== debian/control ===
--- 
+++ 
@@ -7,18 +7,17 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: gnome-pkg-tools (>= 0.16.3),
-               debhelper (>= 8),
+               debhelper (>= 8.1.0),
                cdbs,
                dh-autoreconf,
                intltool (>= 0.40.0),
                gnome-doc-utils,
                libdbus-glib-1-dev (>= 0.74),
-               libglib2.0-dev (>= 2.27.4),
+               libglib2.0-dev (>= 2.29.3),
                libgtk-3-dev (>= 2.91.1),
                libpango1.0-dev (>= 1.3.0),
-               libgconf2-dev (>= 2.31.3),
                libxklavier-dev (>= 4.0),
                libcanberra-gtk3-dev (>= 0.4),
                libfontconfig1-dev (>= 2.5.0),
@@ -26,12 +25,16 @@
                libaccountsservice-dev (>= 0.6.12),
                gnome-settings-daemon-dev (>= 2.91.2),
                gnome-settings-daemon (>= 2.91.2),
+               libck-connector-dev,
+               libnss3-dev (>= 3.11.1),
                libx11-dev,
                libxau-dev,
                libxrandr-dev,
                libxt-dev,
                libxext-dev,
                check (>= 0.9.4),
+               libgirepository1.0-dev (>= 0.9.12),
+               gobject-introspection (>= 0.10.7-1~),
                libpam0g-dev,
                libxdmcp-dev,
                libwrap0-dev,
@@ -50,42 +53,47 @@
 
 Package: gdm3
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         ${gir:Depends},
          adduser,
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
-         gnome-session-bin (>= 3.0),
+         gnome-session-bin (>= 3.4.2.1-4~),
+         gnome-settings-daemon (>= 3.2),
+         metacity (>= 1:2.34.2),
          policykit-1-gnome,
          upower,
          gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          lsb-base (>= 3.2-14),
          librsvg2-common,
-         gconf2 (>= 2.26.2-3),
          accountsservice (>= 0.6.12),
          gsettings-desktop-schemas,
          libglib2.0-bin (>= 2.26),
-         dconf-gsettings-backend
+         dconf-tools (>= 0.12.1-2),
+         dconf-gsettings-backend (>= 0.12.1-2),
+         x11-common (>= 1:7.6+11),
+         x11-xserver-utils
 Recommends: zenity,
             xserver-xephyr,
             x11-xkb-utils,
             xserver-xorg,
-            at-spi,
-            gnome-power-manager (>= 2.28),
-            gnome-settings-daemon,
+            at-spi2-core,
             gnome-icon-theme,
+            gnome-icon-theme-symbolic,
             desktop-base (>= 6)
 Suggests: libpam-gnome-keyring,
-          metacity,
-          gnome-mag,
           gnome-orca,
-          gok
+          gok,
+          gnome-shell
 Provides: x-display-manager
 Conflicts: gdm
 Breaks: gnome-panel (<< 3.0),
         gnome-screensaver (<< 2.17.7),
         gnome-orca (<< 2.30.0-2),
-        gnome-control-center (<< 3.0)
+        gnome-control-center (<< 3.0),
+        gnome-shell (<< 3.2)
 Description: Next generation GNOME Display Manager
  GDM provides the equivalent of a "login:" prompt for X displays: it 
  asks for a login and starts X sessions.
