=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,9 @@
 		--with-defaults-conf=/usr/share/gdm/defaults.conf \
 		--with-user=Debian-gdm --with-group=Debian-gdm \
 		--with-pam-domain=gdm3 \
-		--with-lang-file=/etc/default/locale
+		--with-lang-file=/etc/default/locale \
+		--without-systemd \
+		--disable-split-authentication
 
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
 	DEB_CONFIGURE_EXTRA_FLAGS += --enable-debug
@@ -44,22 +46,32 @@
 
 
 DEB_DH_INSTALLINIT_ARGS := --noscripts
+DEB_DH_MAKESHLIBS_ARGS_gdm3 := --no-act
+
+DEB_DH_GIREPOSITORY_ARGS_gdm3 := -l$(CURDIR)/gui/libgdmgreeter /usr/lib/gdm/
 
 binary-install/gdm3::
 	mv debian/gdm3/usr/sbin/gdm-binary debian/gdm3/usr/sbin/gdm3
 	cd debian/gdm3/usr/sbin && rm -f gdm-restart gdm-stop gdm-safe-restart
 	chmod 755 debian/gdm3/etc/gdm3/Xsession
+	rm -f debian/gdm3/etc/pam.d/gdm-*
 	dh_installpam -pgdm3 --name=gdm3-autologin
 	rm -rf debian/gdm3/var/lib/gdm3/.[cgl]*
 	rm -rf debian/gdm3/var/run
+	cd debian/gdm3 && \
+		mv etc/dconf/profile/gdm usr/share/gdm/dconf-profile && \
+		mv etc/dconf/db/gdm.d usr/share/gdm/dconf && \
+		rmdir etc/dconf/db etc/dconf/profile etc/dconf
+	rm -rf debian/gdm3/usr/include
+	rm -rf debian/gdm3/usr/lib/pkgconfig
 	rm -f debian/gdm3/usr/sbin/gdm
 	rm -f debian/gdm3/etc/pam.d/gdm
 	rm -f debian/gdm3/etc/pam.d/gdm-autologin
 	rm -f debian/gdm3/usr/share/gdm/autostart/LoginWindow/gnome-session-check-accelerated.desktop
-	cd debian/gdm3/usr/share/gdm/greeter-config && \
-		mv session-setup.entries 10_upstream.entries
-	data/make-dconf-override-db.sh > \
-		debian/gdm3/usr/share/gdm/greeter-settings/xx_upstream.gschema.override
+	cd debian/gdm3/usr/lib/gdm && \
+		rm -f lib*.a lib*.la lib*.so *.gir
+	cd debian/gdm3/usr/lib/gnome-shell && \
+		ln -s ../gdm/*.typelib . && ln -s ../gdm/libgdmgreeter*.so.? .
 
 INFILES := $(wildcard debian/*.desktop.in)
 OUTFILES := $(INFILES:.desktop.in=.desktop)
@@ -76,6 +88,7 @@
 clean::
 	rm -f $(MANPAGES)
 	rm -f $(OUTFILES)
+	rm -f data/gdm.schemas data/gdm.schemas.in
 
 %: %.pod
 	pod2man --section=$(shell echo $@ | sed 's/.*\.//') \
